Ask / Submit
0

Available classes Update 9

asked 2014-11-23 13:12:11 +0200

FloR707 gravatar image

Wasn't there a page listing all available classes allowed to use? Is there a page that tells me what I am allowed to use with Update 9?

Thanks

edit retag flag offensive close delete

Comments

I assume you refer to libaries allowed in harbour?

tortoisedoc ( 2014-11-23 13:13:13 +0200 )edit

1 Answer

Sort by » oldest newest most voted
0

answered 2014-11-23 13:40:44 +0200

leszek gravatar image

There is the normal harbour faq of what is allowed and not: https://harbour.jolla.com/faq

Also if you are using the latest SDK there is a harbour checking tool which checks if your app with all its libraries is allowed or not.

edit flag offensive delete publish link more

Comments

1

Looks like this list is not updated. I am looking for the new one.

FloR707 ( 2014-11-23 20:48:53 +0200 )edit

there was no update from up8 -> up9 regarding the allowed libraries, so the answer is correct. For up9 (as for up8) applies:

https://github.com/sailfish-sdk/sdk-harbour-rpmvalidator/blob/1.18/allowed_libraries.conf

https://github.com/sailfish-sdk/sdk-harbour-rpmvalidator/blob/1.18/allowed_qmlimports.conf

https://github.com/sailfish-sdk/sdk-harbour-rpmvalidator/blob/1.18/allowed_requires.conf

Best is to use the rpmvalidator in the SDK.

Kontio ( 2014-11-24 18:33:06 +0200 )edit

Okay thanks for the clarification. But what was all the fuzz about moving to Qt 5.2 if nothing changed for the developers?

FloR707 ( 2014-11-24 22:41:23 +0200 )edit

@FloR707 first to keep up with Qt development :) but the long term target is to allow more (stable) Qt modules and libs, as soon as we have all in place we will allow more libs in Harbour, but that might not always happen together with an update release and be with some delay.

Kontio ( 2014-11-25 17:49:08 +0200 )edit
Login/Signup to Answer

Question tools

Follow
2 followers

Stats

Asked: 2014-11-23 13:12:11 +0200

Seen: 298 times

Last updated: Nov 23 '14